
#Object files/libraries to link
OBJS=sample14.obj 
LIBS=$(OOL)\lib\OOLW3E03.LIB 

#Default compiler switches
CC=gcc.exe
DFLAGS=-Zomf -c -fhandle-exceptions

#Rules how to build the application
CFLAGS= -Zmt -Zcrtdll
LINK=gcc.exe -Zomf -Zcrtdll -Zlinker /PACKD -Zlinker /PACKC -Zlinker /PM:PM -o

#All files to build
all: sample14.exe

#Rules to build the object-files
%.obj: %.cpp
	$(CC) $(CFLAGS) $(DFLAGS) $<

#Rules to build the application
sample14.exe: $(OBJS) sample14.res
	$(LINK) sample14.exe $(OBJS) $(LIBS)
	rc sample14.res sample14.exe

#Dependencies
sample14.obj: sample14.cpp

#Rules to build the resource-files
sample14.res: sample14.rc\
	resource.h\
	sample14.dlg
	rc -r sample14.rc

